Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ACE_RMCast_Resend_Handler Class Reference

`#include <RMCast_Resend_Handler.h>`

Inheritance diagram for ACE_RMCast_Resend_Handler:

[legend]
Collaboration diagram for ACE_RMCast_Resend_Handler:

[legend]
List of all members.

## Public Methods
| ACE_RMCast_Resend_Handler (ACE_RMCast_Retransmission *retransmission)
| Constructor, save io_udp as the Adaptee in the Adapter pattern.
| ~ACE_RMCast_Resend_Handler (void)
| Destructor.
virtual int | handle_timeout (const ACE_Time_Value &current_time, const void *act=0)
| Documented in ACE_Event_Handler class.
## Private Attributes
ACE_RMCast_Retransmission * | retransmission_
| The adaptee.

## Detailed Description

Implement an adapter to resend messages in the ACE_RMCast_Retransmission layer, but based on Reactor based timeouts.

## Constructor & Destructor Documentation

ACE_INLINE ACE_RMCast_Resend_Handler::ACE_RMCast_Resend_Handler | ( | ACE_RMCast_Retransmission * | retransmission | ) |

| Constructor, save io_udp as the Adaptee in the Adapter pattern.

ACE_RMCast_Resend_Handler::~ACE_RMCast_Resend_Handler | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int ACE_RMCast_Resend_Handler::handle_timeout | ( | const ACE_Time_Value & | current_time,
|  | const void * | act = 0
| ) | `[virtual]`

| Documented in ACE_Event_Handler class. Reimplemented from ACE_Event_Handler.

## Member Data Documentation

ACE_RMCast_Retransmission* ACE_RMCast_Resend_Handler::retransmission_`[private]`

| The adaptee.

The documentation for this class was generated from the following files:

- RMCast_Resend_Handler.h
- RMCast_Resend_Handler.cpp
- RMCast_Resend_Handler.i